Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000560Core InformActionspublic2011-02-13 21:202014-05-07 07:34
ReporterEmacsUser 
Assigned Tograham 
PrioritynormalSeveritycriticalReproducibilityalways
StatusclosedResolutionfixed 
Platformx86OSMac OS XOS Version10.6
Product Version6G60 
Target VersionFixed in Version6L02 
Summary0000560: Extraneous words in an action name trigger an internal error
DescriptionThe extra ``it from'' causes this problem message:

An internal error has occurred: ac_add_variable on a node of unknown type. The current sentence is 'The removing it from action has an object' ; the error was detected at line 476 of "Chapter 24/Actions.w".
Minimal Source Text To Reproduce
There is a room.
The removing it from action has an object.
TagsNo tags attached.
Effect(critical) Compiler reports internal error
Attached Files

- Relationships

-  Notes
(0001332)
graham (administrator)
2011-10-08 01:50

An omission. The variable needs a name, not just a kind. There was a problem message for this when it occurs with activity variables, but not with action or rulebook variables, for some reason. All is now consistent.

- Issue History
Date Modified Username Field Change
2011-02-13 21:20 EmacsUser New Issue
2011-02-13 21:20 EmacsUser Issue generated from 0000550
2011-02-13 22:19 jmcgrew Status new => acknowledged
2011-05-30 22:04 jmcgrew Status acknowledged => confirmed
2011-10-08 01:50 graham Note Added: 0001332
2011-10-08 01:50 graham Status confirmed => resolved
2011-10-08 01:50 graham Resolution open => fixed
2011-10-08 01:50 graham Assigned To => graham
2014-05-07 07:34 jmcgrew Fixed in Version => 6L02
2014-05-07 07:34 jmcgrew Status resolved => closed


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker